#include <iostream>
#include <string>

using namespace std;

#include "sm_array.h"
#include "collect.h"
#include "test_constants.h"


int main(int argc, char * argv[]) {
    garray a = initial_restaurants();

    if(a.contains("Shifty Pete's Tacos")) {
        cerr << "should not contain \"Shifty Pete's Tacos\"" << endl;
        return 1;
    }

    if(not a.contains("Taco Bell")) {
        cerr << "Should have Taco Bell" << endl;
        return 1;
    }

    if(not a.contains("Cafe Rio")) {
        cerr << "Failed test at beginning" << endl;
        return 1;
    }

    if(not a.contains("India Palace")) {
        cerr << "Failed test at end" << endl;
        return 1;
    }
    
    if(a.contains("")) {
        cerr << "should not contain empty string" << endl;
        return 1;
    }

    return 0;
}
